Subject: Re: linux-next: build warning after merge of the rdma tree

From: Jason Gunthorpe <[email-masked]>
Date: Wed, 10 Feb 2021 09:47:42 -0400

On Wed, Feb 10, 2021 at 09:11:49PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the rdma tree, today's linux-next build (htmldocs) produced
> this warning:
> 
> drivers/infiniband/core/device.c:859: warning: Function parameter or member 'dev' not described in 'ib_port_immutable_read'
> drivers/infiniband/core/device.c:859: warning: Function parameter or member 'port' not described in 'ib_port_immutable_read'
> 
> Introduced by commit
> 
>   7416790e2245 ("RDMA/core: Introduce and use API to read port immutable data")

drivers/infinband is W=1 clean right now in linux-next

But how can I build *only* drivers/infiniband using W=1 so I can keep
it that way?

The rest of the kernel is not clean and creates too much warning noise
to be usable, even with my mini config.

Just doing a 'make W=1 drivers/infiniband' is sort of OK, but then I
end up compiling things twice

Does anyone know a good solution?

Jason